Description

Changelog:

    -  New "Cut" icon.

    -  "Paste" icon design change.

History

#1 - 01/27/2014 02:37 PM - Miroslav Fidler

Applied, but I am not sure that I am in favor of this kind of changes in the future.

That said, I think it would be better to provide alternative sets of CtrlLib icons perhaps as packages - U++ is easily capable of that.

Also, reading them from host platform (GTK defines them IMO) would be a nice idea.

#2 - 01/27/2014 02:38 PM - Miroslav Fidler

- Status changed from Patch ready to Ready for QA

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#3 - 01/29/2014 05:38 PM - Zbigniew Rebacz

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

Mirek wrote:

"Applied, but I am not sure that I am in favor of this kind of changes in the future." 

OK, I am fully understand your doubts. But, When I created "Select all" icon, I decided that It would be good to redesign these three similar icons("Cut",

"Paste" & "Copy"). Of course, I understand that this kind of redesign can break overall ultimate++ icon style. So, If you find it appropriate you can always

revert to old version. And then you will only need to use "smoothen" filter on the Ctrl icons.

"Also, reading them from host platform (GTK defines them IMO) would be a nice idea." 

I will try to emulate gtk icons in the future and if the results will be OK I will post appropriate patch.

#4 - 01/31/2014 08:09 AM - Miroslav Fidler

- Status changed from Ready for QA to Approved
